用户 di_hash 查询 API¶
这是用于查询已通过身份认证或成人认证用户 di_hash 值的 API。 提供过去 1 年内身份认证或成人认证中最近一次认证的 di_hash。
Request 信息¶
| 项目 | 说明 |
|---|---|
| 商用 URL | https://adult-auth.qpyou.cn/external/auth/di_hash |
| Sandbox URL | https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash |
| HTTP Method | POST |
| Data Format | JSON |
HTTP Header¶
| 项目 | 说明 |
|---|---|
| Content-Type | application/json;charset=utf-8 |
| Authorization | Bearer |
Note
Bearer 令牌在[App Center > 项目管理 > 游戏列表 - 选择游戏公司游戏 > 游戏详情 > 基本信息]中对应 Hive 认证密钥。
Request Body¶
| 名称 | 类型 | 是否必填(必填: M,可选: O) | 说明 |
|---|---|---|---|
| game_index | Integer | M | App Center 游戏 Index |
| player_id | String | M | Hive 账号的 Player ID |
| auth_type | String | O | 认证类型 identity: 身份认证 adult: 成人认证 未传递该值时,将查询并返回 identity 和 adult 的所有认证信息。 |
Response 信息¶
| 名称 | 类型 | 是否必填(必填: M,可选: O) | 说明 |
|---|---|---|---|
| result_code | Integer | M | 响应代码 |
| result_msg | String | M | 根据响应代码的结果消息 |
| player_id | String | O | Hive 账号的 Player ID |
| di_hash | String | O | di_hash |
| verified_at | String | O | 成人认证时间 |
| auth_type | String | O | 认证类型 identity: 身份认证 adult: 成人认证 |
已完成成人认证用户 di_hash 查询示例¶
Request¶
当查询已完成成人认证用户的 di_hash 时,请在请求中包含 game_index 和 player_id。
curl -L -v \
-d '{"game_index" : 539, "player_id": "30000056996"}' \
-d '{"game_index" : 539, "player_id": "30000056996", "auth_type": "identity"}' \
-H "Content-Type: application/json" \
-H "Authorization: Bearer eyJ0eXAiOiJKV1QiLCJhbGciOiJIUzI1NiJ9.eyJpc3MiOiJIaXZlIiwiaWF0IjoxNjAyMDU2NzI2LCJqdGkiOiIxODczMTExMzIwIn0.3soFiHTPlObCoqR5xX9ZeOQTSvnHrHDHWmopP3QfWtY" \
https://sandbox-adult-auth.qpyou.cn/external/auth/di_hash
Response¶
{
"result_code": 0,
"result_msg": "Success",
"player_id": "30000056996",
"di_hash": "0c7b9088fc80db0532e599ee444b176fb6dfeb035767f98cf960eb59777f04ce",
"verified_at": "2026-04-27 15:35:03",
"auth_type": "identity"
}
Response codes(API 服务器)¶
| 代码 | 说明 | 消息 |
|---|---|---|
| 0 | 成功 | Success |
| 201 | 空请求 | 没有请求参数。 |
| 202 | 无效请求参数 | 请求参数不正确。 |
| 209 | 请求头认证失败 | 认证信息不匹配。请再次确认您输入的信息。 |